| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_fir_decimate_instance_q15 Struct Reference

Instance structure for the Q15 FIR decimator.

## Data Fields

uint8_t | M
uint16_t | numTaps
q15_t * | pCoeffs
q15_t * | pState

## Field Documentation

uint8_t arm_fir_decimate_instance_q15::M

decimation factor.

Referenced by arm_fir_decimate_fast_q15(), arm_fir_decimate_init_q15(), and arm_fir_decimate_q15().

uint16_t arm_fir_decimate_instance_q15::numTaps

number of coefficients in the filter.

Referenced by arm_fir_decimate_fast_q15(), arm_fir_decimate_init_q15(), and arm_fir_decimate_q15().

q15_t* arm_fir_decimate_instance_q15::pCoeffs

points to the coefficient array. The array is of length numTaps.

Referenced by arm_fir_decimate_fast_q15(), arm_fir_decimate_init_q15(), and arm_fir_decimate_q15().

q15_t* arm_fir_decimate_instance_q15::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Referenced by arm_fir_decimate_fast_q15(), arm_fir_decimate_init_q15(), and arm_fir_decimate_q15().